searchNodes=[{"doc":"Top level API to parse and serialize data.","ref":"HttpStructuredField.html","title":"HttpStructuredField","type":"module"},{"doc":"Parse Structured Field datadata.By default, assumes that input is a single Item or a List. For Dictionaries, set the type: :dict option.Returns a tagged tuple with the result or an error if parsing failed. If the item has paramerters, then the tuple also contains a list of parameters. Parmeters and dictionary members are represented as lists of tuples where the name is the first tuple element.Examplesiex&gt; HttpStructuredField.parse(&quot;42&quot;) {:ok, {:integer, 42}} iex&gt; HttpStructuredField.parse(&quot;4.5&quot;) {:ok, {:decimal, 4.5}} iex&gt; HttpStructuredField.parse(&quot;?1&quot;) {:ok, {:boolean, true}} iex&gt; HttpStructuredField.parse(~S(&quot;hello world&quot;)) {:ok, {:string, &quot;hello world&quot;}} iex&gt; HttpStructuredField.parse(&quot;foo123/456&quot;) {:ok, {:token, &quot;foo123/456&quot;}} iex&gt; HttpStructuredField.parse(&quot;:cHJldGVuZCB0aGlzIGlzIGJpbmFyeSBjb250ZW50Lg==:&quot;) {:ok, {:binary, &quot;pretend this is binary content.&quot;}} iex&gt; HttpStructuredField.parse(&quot;1; abc; b=?0&quot;) {:ok, {:integer, 1, [{&quot;abc&quot;, {:boolean, true}}, {&quot;b&quot;, {:boolean, false}}]}} iex&gt; HttpStructuredField.parse(&quot;foo, bar&quot;) {:ok, [{:token, &quot;foo&quot;}, {:token, &quot;bar&quot;}]} iex&gt; HttpStructuredField.parse(&quot;a=(1 2), b=3, c=4;aa=bb, d=(5 6);valid&quot;, type: :dict) {:ok, [ {&quot;a&quot;, {:inner_list, [integer: 1, integer: 2]}}, {&quot;b&quot;, {:integer, 3}}, {&quot;c&quot;, {:integer, 4, [{&quot;aa&quot;, {:token, &quot;bb&quot;}}]}}, {&quot;d&quot;, {:inner_list, [integer: 5, integer: 6], [{&quot;valid&quot;, {:boolean, true}}]}} ]}","ref":"HttpStructuredField.html#parse/2","title":"HttpStructuredField.parse/2","type":"function"},{"doc":"","ref":"HttpStructuredField.html#t:item/0","title":"HttpStructuredField.item/0","type":"type"},{"doc":"Parse structured fields.","ref":"HttpStructuredField.Parser.html","title":"HttpStructuredField.Parser","type":"module"},{"doc":"Parse Structured Field.By default, assumes that input is a single Item or a List. For Dictionaries, set the type: :dict option.Returns a tagged tuple with the result or an error if parsing failed. If the item has paramerters, then the tuple also contains a list of parameters. Parmeters and dictionary members are represented as lists of tuples where the name is the first tuple element.","ref":"HttpStructuredField.Parser.html#parse/2","title":"HttpStructuredField.Parser.parse/2","type":"function"},{"doc":"Parses the given binary as parsec_parse_dict.Returns {:ok, [token], rest, context, position, byte_offset} or {:error, reason, rest, context, line, byte_offset} where position describes the location of the parsec_parse_dict (start position) as {line, column_on_line}.Options:byte_offset - the byte offset for the whole binary, defaults to 0:line - the line and the byte offset into that line, defaults to {1, byte_offset}:context - the initial context value. It will be converted to a map","ref":"HttpStructuredField.Parser.html#parsec_parse_dict/2","title":"HttpStructuredField.Parser.parsec_parse_dict/2","type":"function"},{"doc":"Parses the given binary as parsec_parse_list.Returns {:ok, [token], rest, context, position, byte_offset} or {:error, reason, rest, context, line, byte_offset} where position describes the location of the parsec_parse_list (start position) as {line, column_on_line}.Options:byte_offset - the byte offset for the whole binary, defaults to 0:line - the line and the byte offset into that line, defaults to {1, byte_offset}:context - the initial context value. It will be converted to a map","ref":"HttpStructuredField.Parser.html#parsec_parse_list/2","title":"HttpStructuredField.Parser.parsec_parse_list/2","type":"function"},{"doc":"Elixir library to parse and generate RFC 8941 Structured Field Values for HTTP.HTTP headers often need to carry complex structures such as lists of values. RFC 8941 specifies a standard format for these fields independent of the RFCs that define the headers.","ref":"readme.html","title":"README","type":"extras"},{"doc":"iex&gt; HttpStructuredField.parse(&quot;42&quot;) {:ok, {:integer, 42}} iex&gt; HttpStructuredField.parse(&quot;4.5&quot;) {:ok, {:decimal, 4.5}} iex&gt; HttpStructuredField.parse(&quot;?1&quot;) {:ok, {:boolean, true}} iex&gt; HttpStructuredField.parse(~S(&quot;hello world&quot;)) {:ok, {:string, &quot;hello world&quot;}} iex&gt; HttpStructuredField.parse(&quot;foo123/456&quot;) {:ok, {:token, &quot;foo123/456&quot;}} iex&gt; HttpStructuredField.parse(&quot;:cHJldGVuZCB0aGlzIGlzIGJpbmFyeSBjb250ZW50Lg==:&quot;) {:ok, {:binary, &quot;pretend this is binary content.&quot;}} iex&gt; HttpStructuredField.parse(&quot;1; abc; b=?0&quot;) {:ok, {:integer, 1, [{&quot;abc&quot;, {:boolean, true}}, {&quot;b&quot;, {:boolean, false}}]}} iex&gt; HttpStructuredField.parse(&quot;foo, bar&quot;) {:ok, [{:token, &quot;foo&quot;}, {:token, &quot;bar&quot;}]} iex&gt; HttpStructuredField.parse(&quot;a=(1 2), b=3, c=4;aa=bb, d=(5 6);valid&quot;, type: :dict) {:ok, [ {&quot;a&quot;, {:inner_list, [integer: 1, integer: 2]}}, {&quot;b&quot;, {:integer, 3}}, {&quot;c&quot;, {:integer, 4, [{&quot;aa&quot;, {:token, &quot;bb&quot;}}]}}, {&quot;d&quot;, {:inner_list, [integer: 5, integer: 6], [{&quot;valid&quot;, {:boolean, true}}]}} ]}The parser uses NimbleParsec, so it's strict.It handles the funky syntax of parameters, nested lists, and dictionaries. You can run it on any input and it will return a tagged tuple for a simple value or an Elixir list for a list of values. If there are parameters, then the tuple will have three elements, with the third being a list. Inner List types are tagged tuples, as we need some place to put the parameters.Parmeters and dictionary members are represented as lists of tuples where the name is the first tuple element.Dictionary types are unfortunately incompatible with lists, so you have to tell the parser what to expect by adding the type: :dict option.","ref":"readme.html#usage","title":"README - Usage","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding http_structured_field to your list of dependencies in mix.exs:def deps do [ {:http_structured_field, &quot;~&gt; 0.1.0&quot;} ] endDocumentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/http_structured_field.","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"ChangelogAll notable changes to this project will be documented in this file.The format is based on Keep a Changelog, and this project adheres to Semantic Versioning.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"AddedAdd docs","ref":"changelog.html#0-1-1-2021-02-23","title":"Changelog - [0.1.1] - 2021-02-23","type":"extras"},{"doc":"AddedMake initial release to hex","ref":"changelog.html#0-1-0-2021-02-23","title":"Changelog - [0.1.0] - 2021-02-23","type":"extras"}]